# ClamAV will refuse to scan files above 2G regardless of what this is set to
MaxFileSize 2G
# MaxScanSize controls how much of an archive is unpacked
MaxScanSize 64G

LogFileMaxSize 50M
LogTime yes
LogSyslog yes

ExtendedDetectionInfo yes

LocalSocket /var/run/clamd.scan/clamd.socket
LocalSocketGroup virusgroup
LocalSocketMode 660
FixStaleSocket yes

MaxThreads 8
MaxDirectoryRecursion 20

User clamscan

Bytecode yes
HeuristicAlerts yes
DetectPUA yes
ScanPE yes
ScanELF yes
ScanMail yes
ScanHTML yes
ScanOLE2 yes

AlertBrokenExecutables no
AlertBrokenMedia no
AlertEncrypted no
AlertEncryptedArchive no
AlertEncryptedDoc no
AlertOLE2Macros no
AlertPartitionIntersection no
AlertExceedsMax no

ScanPDF yes
ScanSWF yes
ScanXMLDOCS yes
ScanHWP3 yes
ScanArchive yes

# These are just examples, add what you think should be protected.
OnAccessIncludePath /home/ducoterra/Downloads
OnAccessIncludePath /home/ducoterra/Projects
OnAccessIncludePath /home/ducoterra/Applications
OnAccessIncludePath /home/ducoterra/AUR

# Prevention doesn't work with OnAccessMountPath.
# It works with OnAccessIncludePath, as long as /usr and /etc are not included.
# Including /var while activating prevention is also not recommended, because
# this would slow down package installation by a factor of 1000.
OnAccessPrevention yes

OnAccessExcludeUname clamupdate
OnAccessExcludeUname clamscan
OnAccessExtraScanning yes

VirusEvent /etc/clamav/virus-event.bash
